using System.Collections.Generic;
using System.Linq;
using Domain;
using Domain.Weapons;

namespace Warhammer.Models
{
    public class CharacterSheet
    {
        public Player Player { get; set; }

        public List<Weapon> Weapons => Player.Weapons.ToList();

        public CharacterSheet(Player player)
        {
            Player = player;
        }

        public int Initiative()
        {
            return Player.Initiative();
        }

        public bool TestCC()
        {
            return Player.TestCC();
        }

        public bool TestCT()
        {
            return Player.TestCT();
        }

        public bool TestF()
        {
            return Player.TestF();
        }

        public bool TestE()
        {
            return Player.TestE();
        }

        public bool TestAG()
        {
            return Player.TestAG();
        }

        public bool TestINT()
        {
            return Player.TestINT();
        }

        public bool TestPER()
        {
            return Player.TestPER();
        }

        public bool TestFM()
        {
            return Player.TestFM();
        }

        public bool TestSOC()
        {
            return Player.TestSOC();
        }

        public bool TestMF()
        {
            return Player.TestMF();
        }
    }
}
